Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Interface ServerDataCollectorMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  ServerDataCollector

public interface ServerDataCollectorMBean
extends ServiceMBean

This interface defines the manageable interface for the JBoss Server management object to be used as a JMX MBean.

Author:
  Marc Fleury

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`management.J2EEApplication` | `getApplication(java.lang.String pApplicationId)` Returns an application if found with the given key.
`java.util.Collection` | `getApplications()`
`java.util.Collection` | `getNodes()`
`int` | `getRefreshSleep()`
`java.util.Collection` | `getResources()`
`void` | `refresh()` Informs this intance the environment changes and he should update its data
`void` | `refreshNow()` Informs this intance the environment changes and he should update its data right NOW
`void` | `setRefreshSleep(int pSleep)` Sets the Sleep time (in milliseconds) between two refresh cycles

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### getRefreshSleep

    public int getRefreshSleep()

  Returns:
    Sleep period in milliseconds between to refresh cycles

### setRefreshSleep

    public void setRefreshSleep(int pSleep)

  Sets the Sleep time (in milliseconds) between two refresh cycles
  Parameters:
    `pSleep` - Sleep period in milliseconds

### refresh

    public void refresh()

  Informs this intance the environment changes and he should update its data

### refreshNow

    public void refreshNow()

  Informs this intance the environment changes and he should update its data right NOW

### getApplication

    public management.J2EEApplication getApplication(java.lang.String pApplicationId)

  Returns an application if found with the given key.
  Parameters:
    `pApplicationId` - Id of the application to be retrieved
  Returns:
    Application if found or null if not

### getApplications

    public java.util.Collection getApplications()

  Returns:
    All the registered applications where the element is of type `Application`.

### getResources

    public java.util.Collection getResources()

  Returns:
    All the registered resources of this server. All are of type `J2EEResource`.

### getNodes

    public java.util.Collection getNodes()

  Returns:
    All the nodes of this server running. All are of type `Node`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.